<?php

namespace App\DTO\Settings;

final class OrdersDTO
{
    private int $orderDefaultStatusId;
    private int $ocCustomerGroupId;

    public function __construct(int $orderDefaultStatusId, int $ocCustomerGroupId)
    {
        $this->orderDefaultStatusId = $orderDefaultStatusId;
        $this->ocCustomerGroupId = $ocCustomerGroupId;
    }

    public function getOrderDefaultStatusId(): int
    {
        return $this->orderDefaultStatusId;
    }

    public function getOcCustomerGroupId(): int
    {
        return $this->ocCustomerGroupId;
    }

    public function toArray(): array
    {
        return [
            'order_default_status_id' => $this->orderDefaultStatusId,
            'oc_customer_group_id' => $this->ocCustomerGroupId,
        ];
    }
}
